package logic

import (
	"context"
	IC "jyBXBuyer/rpc/init"
	"jyBXBuyer/rpc/internal/svc"
	"jyBXBuyer/rpc/model"
	"jyBXBuyer/rpc/type/bxbuyer"

	"github.com/zeromicro/go-zero/core/logx"
)

type BuyerSupplyInfoLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewBuyerSupplyInfoLogic(ctx context.Context, svcCtx *svc.ServiceContext) *BuyerSupplyInfoLogic {
	return &BuyerSupplyInfoLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// 采购单位搜索补充信息 招标动态数量 、历史联系人数量、项目数量、采购规模
func (l *BuyerSupplyInfoLogic) BuyerSupplyInfo(in *bxbuyer.BuyerSupplyInfoReq) (*bxbuyer.BuyerSupplyResp, error) {
	resp := &bxbuyer.BuyerSupplyResp{}
	if len(in.Buyers) == 0 || len(in.Buyers) > int(IC.C.BuyerSearchLimit) {
		return resp, nil
	}
	resp = model.BuyerSupplyInfo(in.Buyers)

	return resp, nil
}
